Subject: [os2genau_digest] No. 1400
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 20 Dec 2006 00:00:29 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 19 December 2006
 Number  1400
**************************************************

Subjects for today
 
1  Re:  Tesseract OCR : Alan Duval <amoht at westnet dot com dot au>
2   rexx/enviroment problem ? : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Tue, 19 Dec 2006 09:33:10 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Tesseract OCR

Ian Manners wrote:

>Hi Alan
>
>  
>
>>Has anyone installed Tesseract OCR?  I note that it has been ported to 
>>OS/2 but don't know where to download it from. If anyone has  installed 
>>it would you advise whether it does a good job with OCR?
>>    
>>
>
> <http://www.fbakan.de>  From Franz Bakan
>
>Let us know how you go with it :-)
>  
>
Hi Ian,

Downloaded Tesseract and unzipped it. Then copied  tessdata,  tesseract  
and tesseract.exe  to
C:\OCR

Next scanned a typed page with Tame/2 sending the  image'nnn'.tif  to 
C:\OCR.
Then opened command line and in C:\OCR typed  tesseract image'nnn'.tif  
'nnn'  ('nnn' being 046 in this case.
Found this put 3 files in C:\OCR, these being:   'nnn'.txt,  'nnn'.raw,  
'nnn'.map.
Opened 'nnn'.txt in StarOffice and found all words and paragraphs 
identified  correctly.
Then scanned a column in the PC User magazine. Again a good result.
Then scanned column from a local newspaper. Just 2 mistakes so all in 
all it seems to do a good job.
It's a bit cumbersome having to switch to command lines and then to word 
processor to correct mistakes but the Linux buffs will probably develop 
this further as there's no other decent OCR program in Linux at present.
I don't know why Tesseract puts the *.map  and  *.raw  files  in the 
directory.  I just delete them.

Regards,

Alan Duval
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 19 Dec 2006 20:40:17 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:   rexx/enviroment problem ?

I changed this rexx file a while ago, and it use to copy
anything flagged as a virus to c:\tmp but no longer does this :-(

All I get is an error message in weasel about 'copy' being an
unknown command......

I miss my virus collection :-(

Anyone have any clues ?

======= Start File ==========
/***************************************************************/
/*             ClamAV Weasel filter                                 */
/*             (C)2005 Jakub Golab                                  */
/*     IBM - 15/4/2005, modified by IanBManners to use clamd for speed   */
/*     IBM - Note, no error is given to sender or receiver, email nulled */
/*     IBM - Virus hit is logged in clamd.log  and weasel.log           */
/*  Installation: place the file in Weasel directory, in Weasel         */
/*  setup type 'clamfilt.cmd' as a stage 4 filter. ClamAV must          */
/*  be installed in default location and configured properly!           */
/*                                                                      */
/*          Include something like this in your startup.cmd             */
/*               at detach c:\usr\local\clamav\bin\clamd.exe               */
/****************************************************************/

CALL RxFuncAdd SysLoadFuncs, rexxutil, sysloadfuncs
CALL SysLoadFuncs

PARSE ARG userlist messagefile

' at C:\USR\LOCAL\CLAMAV\BIN\clamdscan.exe 'messagefile
IF RC=1 THEN DO
        ' at copy 'messagefile' \tmp'
	res=LINEOUT(userlist,'550 Viruse Removed.',1)
	RETURN 2
END ELSE RETURN 0

======= End File ==========

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

OS/2: Bill Gates' worst nightmare!
----------------------------------------------------------------------------------